xn::ModuleDeviceIdentificationInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleDeviceIdentificationInterface ()
virtual XnStatus | GetDeviceName (XnChar *strBuffer, XnUInt32 &nBufferSize)=0
virtual XnStatus | GetVendorSpecificData (XnChar *strBuffer, XnUInt32 &nBufferSize)=0
virtual XnStatus | GetSerialNumber (XnChar *strBuffer, XnUInt32 &nBufferSize)=0

## Constructor & Destructor Documentation

## ~ModuleDeviceIdentificationInterface()

virtual xn::ModuleDeviceIdentificationInterface::~ModuleDeviceIdentificationInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## GetDeviceName()

virtual XnStatus xn::ModuleDeviceIdentificationInterface::GetDeviceName | ( | XnChar * | strBuffer,
|  | XnUInt32 & | nBufferSize )

pure virtual

## GetSerialNumber()

virtual XnStatus xn::ModuleDeviceIdentificationInterface::GetSerialNumber | ( | XnChar * | strBuffer,
|  | XnUInt32 & | nBufferSize )

pure virtual

## GetVendorSpecificData()

virtual XnStatus xn::ModuleDeviceIdentificationInterface::GetVendorSpecificData | ( | XnChar * | strBuffer,
|  | XnUInt32 & | nBufferSize )

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h